package config_manager


type Auth struct {
}

type Connection struct {
	Ip       string `json:"ip"`
	Port     string `json:"port"`
	PortType string `json:"portType"`
	SSL      bool `json:"ssl"`
}

type Target struct {
	Auth       Auth
	Connection Connection
}

type Schedule struct {
	Interval string `json:"interval"`
}

type Item struct {
}

type Crawler struct {
	Name      string `json:"name"`
	Container string `json:"container"`
}

type Config struct {
	Id       string   `json:"id"`
	Target   Target   `json:"target"`
	Schedule Schedule `json:"schedule"`
	Crawler  Crawler  `json:"crawler"`
	Items    []Item   `json:"items"`
}
